Package org.apache.lucene.queries.function.valuesource

## Class LongFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.LongFieldSource

- Direct Known Subclasses:
    `MultiValuedLongFieldSource`

      public class LongFieldSource
      extends FieldCacheSource

  Obtains long field values from `LeafReader.getNumericDocValues(java.lang.String)` and makes those values available as other numeric types, casting as needed.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `field`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongFieldSource​(String field)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `description()` | description of field, used in explain()
    `boolean` | `equals​(Object o)` |
    `long` | `externalToLong​(String extVal)` |
    `protected NumericDocValues` | `getNumericDocValues​(Map<Object,​Object> context, LeafReaderContext readerContext)` |
    `SortField` | `getSortField​(boolean reverse)` | EXPERIMENTAL: This method is subject to change.
    `FunctionValues` | `getValues​(Map<Object,​Object> context, LeafReaderContext readerContext)` | Gets the values for this reader and the context that was previously passed to createWeight().
    `int` | `hashCode()` |
    `Object` | `longToObject​(long val)` |
    `String` | `longToString​(long val)` |

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `getField`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LongFieldSource

          public LongFieldSource​(String field)

  - ### Method Detail

    - #### description

          public String description()

      Description copied from class: `ValueSource`
      description of field, used in explain()
      Overrides:
        `description` in class `FieldCacheSource`

    - #### externalToLong

          public long externalToLong​(String extVal)

    - #### longToObject

          public Object longToObject​(long val)

    - #### longToString

          public String longToString​(long val)

    - #### getSortField

          public SortField getSortField​(boolean reverse)

      Description copied from class: `ValueSource`
      EXPERIMENTAL: This method is subject to change.

      Get the SortField for this ValueSource. Uses the `ValueSource.getValues(java.util.Map, org.apache.lucene.index.LeafReaderContext)` to populate the SortField.

      Overrides:
        `getSortField` in class `ValueSource`
      Parameters:
        `reverse` - true if this is a reverse sort.
      Returns:
        The `SortField` for the ValueSource

    - #### getValues

          public FunctionValues getValues​(Map<Object,​Object> context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Description copied from class: `ValueSource`
      Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.
      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### getNumericDocValues

          protected NumericDocValues getNumericDocValues​(Map<Object,​Object> context,
                                                         LeafReaderContext readerContext)
                                                  throws IOException

      Throws:
        `IOException`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `FieldCacheSource`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FieldCacheSource`